Exchanges
List exchanges for an account
Returns all exchanges for your Dwolla account. Exchanges represent connections between external bank accounts and your account through open banking partners. Includes exchange status, creation date, and associated partner information.
GET
/
exchanges
List exchanges for an account
curl --request GET \
--url https://api.dwolla.com/exchanges \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://api.dwolla.com/exchanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dwolla.com/exchanges"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
{
"_links": {},
"_embedded": {
"exchanges": [
{
"_links": {},
"id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
"status": "active",
"created": "2022-07-23T00:18:21.419Z",
"cardDetails": {
"accountNameInquiry": "full-match"
}
}
]
},
"total": 3
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Was this page helpful?
⌘I
List exchanges for an account
